//
//  PersistencyTests.m
//  PersistencyTests
//
//  Created by Felix Rohrer on 21.04.13.
//  Copyright (c) 2013 Felix Rohrer. All rights reserved.
//

#import "PersistencyTests.h"
#import "PEAppDelegate.h"

@implementation PersistencyTests

- (void)setUp
{
    [super setUp];
    
    // Set-up code here.
}

- (void)tearDown
{
    // Tear-down code here.
    
    [super tearDown];
}

- (void)testArrayEqual
{
    NSArray* myArray = [NSArray arrayWithObjects:@"Eins", @"Zwei", @"Drei", nil];
    NSArray* loadedArray;

    loadedArray = myArray;
    STAssertEqualObjects(myArray, loadedArray, @"Beide sind gleich...");
   
}

- (void)testArrayNotEqual
{
    NSArray* myArray = [NSArray arrayWithObjects:@"Eins", @"Zwei", @"Drei", nil];
    NSArray* myArray2 = [NSArray arrayWithObjects:@"Eins", @"Zwei", nil];
    STAssertFalse([myArray isEqualToArray:myArray2], @"nicht gleich...");
}

@end
